Extending Qt Creator Manual | PluginDetailsView

Extending Qt Creator Manual 4.5.2

# PluginDetailsView Class

(ExtensionSystem::PluginDetailsView)

The PluginDetailsView class implements a widget that displays the contents of a PluginSpec. More...

Header: | #include <PluginDetailsView>

- List of all members, including inherited members

## Public Functions

| PluginDetailsView(QWidget *parent = 0)
void | update(PluginSpec *spec)

## Detailed Description

The PluginDetailsView class implements a widget that displays the contents of a PluginSpec.

Can be used for integration in the application that uses the plugin manager.

See also ExtensionSystem::PluginView.

## Member Function Documentation

### PluginDetailsView::PluginDetailsView(QWidget *parent = 0)

Constructs a new view with given parent widget.

### void PluginDetailsView::update(PluginSpec *spec)

Reads the given spec and displays its values in this PluginDetailsView.